Skip to main content
DocsAPI ReferenceAgents
ApiNotifications

Rotate a webhook's signing secret

View Markdown
POST/v1/notifications/{id}/rotate-secret

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/notifications/string/rotate-secret"
{
  "success": true,
  "data": {
    "id": "string",
    "enabled": true,
    "channel": "email",
    "eventTypes": [
      "mention_lost"
    ],
    "brandId": null,
    "emailRecipients": [
      "string"
    ],
    "webhookUrl": null,
    "webhookSecret": null,
    "lastTestAt": null,
    "lastTestStatus": null,
    "createdAt": "string",
    "updatedAt": "string"
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}